/* lexico.h */

/* Declaraciones para el analizador lexico */

/* Tipos globales */

typedef enum{pError, pcCtl, pcVoc, pcOtx, pcLtx, pcCon, pcStx,
             pcMtx, pcObj, pcPro, pSubrayado, pPalabra, pNumero,
             pIdNumerico, pFinal} Simbolo;

/* Variables globales */

extern char lexema[255];
extern Simbolo simbolo;
extern int lineaLeida;
extern int BOL;

/* Funciones globales */

void prepLexico(char*);
void casarLex(Simbolo);
void casarLexSinLeer(Simbolo);
char *extraerTexto(void);
void termLexico(void);
char * aMinusculas(char *);
char * aMayusculas(char *);

